Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Class ListScrollBar.ThumbDraggerColors

    java.lang.Object
      org.eclipse.draw2d.MouseMotionListener.Stub
          org.eclipse.draw2d.ScrollBar.ThumbDragger
              org.eclipse.gmf.runtime.draw2d.ui.figures.ListScrollBar.ThumbDraggerColors

All Implemented Interfaces:
  MouseListener, MouseMotionListener

Enclosing class:
  ListScrollBar

    protected class ListScrollBar.ThumbDraggerColors

extends ScrollBar.ThumbDragger

Customizes ThumbDragger to set different colors to thumb depending on its state.

Since:
  1.4

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw2d.MouseListener
`MouseListener.Stub`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.MouseMotionListener
`MouseMotionListener.Stub`

Field Summary

Fields inherited from class org.eclipse.draw2d.ScrollBar.ThumbDragger
`armed, dragRange, revertValue, start`

Constructor Summary
`protected` `ListScrollBar.ThumbDraggerColors()`

Method Summary
`void` `mouseEntered(MouseEvent me)`
`void` `mouseExited(MouseEvent me)`
`void` `mousePressed(MouseEvent me)`
`void` `mouseReleased(MouseEvent me)`

Methods inherited from class org.eclipse.draw2d.ScrollBar.ThumbDragger
`mouseDoubleClicked, mouseDragged`

Methods inherited from class org.eclipse.draw2d.MouseMotionListener.Stub
`mouseHover, mouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListScrollBar.ThumbDraggerColors

    protected ListScrollBar.ThumbDraggerColors()

Method Detail

### mouseEntered

    public void mouseEntered(MouseEvent me)

  Specified by:
    `mouseEntered` in interface `MouseMotionListener`
  Overrides:
    `mouseEntered` in class `MouseMotionListener.Stub`

### mouseExited

    public void mouseExited(MouseEvent me)

  Specified by:
    `mouseExited` in interface `MouseMotionListener`
  Overrides:
    `mouseExited` in class `MouseMotionListener.Stub`

### mousePressed

    public void mousePressed(MouseEvent me)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `ScrollBar.ThumbDragger`

### mouseReleased

    public void mouseReleased(MouseEvent me)

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `ScrollBar.ThumbDragger`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.